/* $NetBSD$ */

/*
 * System call names.
 *
 * DO NOT EDIT-- this file is automatically generated.
 * created from	NetBSD: syscalls.master,v 1.38 2009/01/13 22:27:43 pooka Exp
 */

#include <sys/cdefs.h>
__KERNEL_RCSID(0, "$NetBSD$");

#if defined(_KERNEL_OPT)
#include "opt_ktrace.h"
#include "opt_nfsserver.h"
#include "opt_ntp.h"
#include "opt_compat_netbsd.h"
#include "opt_sysv.h"
#include "opt_compat_43.h"
#include "fs_lfs.h"
#include "fs_nfs.h"
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/signal.h>
#include <sys/mount.h>
#include <sys/syscallargs.h>
#include <compat/sys/signal.h>
#include <compat/sys/time.h>
#include <compat/mach/mach_types.h>
#include <compat/mach/mach_vm.h>
#include <compat/darwin/darwin_types.h>
#include <compat/darwin/darwin_signal.h>
#include <compat/darwin/darwin_audit.h>
#include <compat/darwin/darwin_syscallargs.h>
#endif /* _KERNEL_OPT */

const char *const darwin_syscallnames[] = {
	/*   0 */	"syscall",
	/*   1 */	"exit",
	/*   2 */	"fork",
	/*   3 */	"read",
	/*   4 */	"write",
	/*   5 */	"open",
	/*   6 */	"close",
	/*   7 */	"wait4",
	/*   8 */	"ocreat",
	/*   9 */	"link",
	/*  10 */	"unlink",
	/*  11 */	"#11 (unimplemented execv)",
	/*  12 */	"chdir",
	/*  13 */	"fchdir",
	/*  14 */	"mknod",
	/*  15 */	"chmod",
	/*  16 */	"chown",
	/*  17 */	"break",
	/*  18 */	"getfsstat",
	/*  19 */	"olseek",
	/*  20 */	"getpid",
	/*  21 */	"mount",
	/*  22 */	"unmount",
	/*  23 */	"setuid",
#ifdef COMPAT_43
	/*  24 */	"getuid",
#else
	/*  24 */	"getuid",
#endif
	/*  25 */	"geteuid",
	/*  26 */	"ptrace",
	/*  27 */	"recvmsg",
	/*  28 */	"sendmsg",
	/*  29 */	"recvfrom",
	/*  30 */	"accept",
	/*  31 */	"getpeername",
	/*  32 */	"getsockname",
	/*  33 */	"access",
	/*  34 */	"chflags",
	/*  35 */	"fchflags",
	/*  36 */	"sync",
	/*  37 */	"kill",
	/*  38 */	"stat43",
	/*  39 */	"getppid",
	/*  40 */	"lstat43",
	/*  41 */	"dup",
	/*  42 */	"pipe",
	/*  43 */	"getegid",
	/*  44 */	"profil",
#if defined(KTRACE) || !defined(_KERNEL)
	/*  45 */	"ktrace",
#else
	/*  45 */	"#45 (excluded ktrace)",
#endif
	/*  46 */	"sigaction",
#ifdef COMPAT_43
	/*  47 */	"getgid",
#else
	/*  47 */	"getgid",
#endif
	/*  48 */	"sigprocmask",
	/*  49 */	"__getlogin",
	/*  50 */	"__setlogin",
	/*  51 */	"acct",
	/*  52 */	"sigpending13",
	/*  53 */	"sigaltstack13",
	/*  54 */	"ioctl",
	/*  55 */	"oreboot",
	/*  56 */	"revoke",
	/*  57 */	"symlink",
	/*  58 */	"readlink",
	/*  59 */	"execve",
	/*  60 */	"umask",
	/*  61 */	"chroot",
	/*  62 */	"fstat43",
	/*  63 */	"#63 (unimplemented)",
	/*  64 */	"ogetpagesize",
	/*  65 */	"msync",
	/*  66 */	"vfork",
	/*  67 */	"#67 (obsolete vread)",
	/*  68 */	"#68 (obsolete vwrite)",
	/*  69 */	"sbrk",
	/*  70 */	"sstk",
	/*  71 */	"ommap",
	/*  72 */	"vadvise",
	/*  73 */	"munmap",
	/*  74 */	"mprotect",
	/*  75 */	"madvise",
	/*  76 */	"#76 (unimplemented)",
	/*  77 */	"#77 (unimplemented)",
	/*  78 */	"mincore",
	/*  79 */	"getgroups",
	/*  80 */	"setgroups",
	/*  81 */	"getpgrp",
	/*  82 */	"setpgid",
	/*  83 */	"setitimer",
	/*  84 */	"owait",
	/*  85 */	"swapon",
	/*  86 */	"getitimer",
	/*  87 */	"ogethostname",
	/*  88 */	"osethostname",
	/*  89 */	"ogetdtablesize",
	/*  90 */	"dup2",
	/*  91 */	"#91 (unimplemented)",
	/*  92 */	"fcntl",
	/*  93 */	"select",
	/*  94 */	"#94 (unimplemented)",
	/*  95 */	"fsync",
	/*  96 */	"setpriority",
	/*  97 */	"socket",
	/*  98 */	"connect",
	/*  99 */	"oaccept",
	/* 100 */	"getpriority",
	/* 101 */	"osend",
	/* 102 */	"orecv",
	/* 103 */	"sigreturn_x2",
	/* 104 */	"bind",
	/* 105 */	"setsockopt",
	/* 106 */	"listen",
	/* 107 */	"#107 (unimplemented)",
	/* 108 */	"osigvec",
	/* 109 */	"osigblock",
	/* 110 */	"osigsetmask",
	/* 111 */	"sigsuspend13",
	/* 112 */	"osigstack",
	/* 113 */	"orecvmsg",
	/* 114 */	"osendmsg",
	/* 115 */	"#115 (unimplemented)",
	/* 116 */	"gettimeofday",
	/* 117 */	"getrusage",
	/* 118 */	"getsockopt",
	/* 119 */	"#119 (unimplemented)",
	/* 120 */	"readv",
	/* 121 */	"writev",
	/* 122 */	"settimeofday",
	/* 123 */	"fchown",
	/* 124 */	"fchmod",
	/* 125 */	"orecvfrom",
	/* 126 */	"setreuid",
	/* 127 */	"setregid",
	/* 128 */	"rename",
	/* 129 */	"otruncate",
	/* 130 */	"oftruncate",
	/* 131 */	"flock",
	/* 132 */	"mkfifo",
	/* 133 */	"sendto",
	/* 134 */	"shutdown",
	/* 135 */	"socketpair",
	/* 136 */	"mkdir",
	/* 137 */	"rmdir",
	/* 138 */	"utimes",
	/* 139 */	"#139 (unimplemented futimes)",
	/* 140 */	"adjtime",
	/* 141 */	"ogetpeername",
	/* 142 */	"ogethostid",
	/* 143 */	"#143 (unimplemented)",
	/* 144 */	"ogetrlimit",
	/* 145 */	"osetrlimit",
	/* 146 */	"okillpg",
	/* 147 */	"setsid",
	/* 148 */	"#148 (unimplemented)",
	/* 149 */	"#149 (unimplemented)",
	/* 150 */	"ogetsockname",
	/* 151 */	"#151 (unimplemented getpgid)",
	/* 152 */	"#152 (unimplemented setprivexec)",
	/* 153 */	"#153 (unimplemented pread)",
	/* 154 */	"#154 (unimplemented pwrite)",
#if defined(NFS) || defined(NFSSERVER) || !defined(_KERNEL)
	/* 155 */	"nfssvc",
#else
	/* 155 */	"#155 (excluded nfssvc)",
#endif
	/* 156 */	"ogetdirentries",
	/* 157 */	"statfs",
	/* 158 */	"fstatfs",
	/* 159 */	"#159 (unimplemented unmount)",
	/* 160 */	"#160 (unimplemented)",
#if defined(NFS) || defined(NFSSERVER) || !defined(_KERNEL)
	/* 161 */	"getfh",
#else
	/* 161 */	"#161 (excluded getfh)",
#endif
	/* 162 */	"ogetdomainname",
	/* 163 */	"osetdomainname",
	/* 164 */	"#164 (unimplemented)",
	/* 165 */	"#165 (unimplemented quotactl)",
	/* 166 */	"#166 (unimplemented)",
	/* 167 */	"#167 (unimplemented mount)",
	/* 168 */	"#168 (unimplemented)",
	/* 169 */	"#169 (unimplemented)",
	/* 170 */	"#170 (unimplemented)",
	/* 171 */	"#171 (unimplemented wait3)",
	/* 172 */	"#172 (unimplemented)",
	/* 173 */	"#173 (unimplemented)",
	/* 174 */	"#174 (unimplemented)",
	/* 175 */	"#175 (unimplemented)",
	/* 176 */	"#176 (unimplemented add_profil)",
	/* 177 */	"#177 (unimplemented)",
	/* 178 */	"#178 (unimplemented)",
	/* 179 */	"#179 (unimplemented)",
	/* 180 */	"kdebug_trace",
	/* 181 */	"setgid",
	/* 182 */	"setegid",
	/* 183 */	"seteuid",
	/* 184 */	"sigreturn",
	/* 185 */	"#185 (unimplemented)",
	/* 186 */	"#186 (unimplemented)",
	/* 187 */	"#187 (unimplemented)",
	/* 188 */	"stat12",
	/* 189 */	"fstat",
	/* 190 */	"lstat12",
	/* 191 */	"pathconf",
	/* 192 */	"fpathconf",
	/* 193 */	"#193 (unimplemented getfsstat)",
	/* 194 */	"getrlimit",
	/* 195 */	"setrlimit",
	/* 196 */	"getdirentries",
	/* 197 */	"mmap",
	/* 198 */	"#198 (unimplemented)",
	/* 199 */	"lseek",
	/* 200 */	"truncate",
	/* 201 */	"ftruncate",
	/* 202 */	"__sysctl",
	/* 203 */	"mlock",
	/* 204 */	"munlock",
	/* 205 */	"undelete",
	/* 206 */	"#206 (unimplemented atsocket)",
	/* 207 */	"#207 (unimplemented atgetmsg)",
	/* 208 */	"#208 (unimplemented atputmsg)",
	/* 209 */	"#209 (unimplemented atpsndreq)",
	/* 210 */	"#210 (unimplemented atpsndrsp)",
	/* 211 */	"#211 (unimplemented atpgetreq)",
	/* 212 */	"#212 (unimplemented atpgetrsp)",
	/* 213 */	"#213 (unimplemented)",
	/* 214 */	"#214 (unimplemented)",
	/* 215 */	"#215 (unimplemented)",
	/* 216 */	"#216 (unimplemented)",
	/* 217 */	"#217 (unimplemented)",
	/* 218 */	"#218 (unimplemented)",
	/* 219 */	"#219 (unimplemented)",
	/* 220 */	"getattrlist",
	/* 221 */	"#221 (unimplemented setattrlist)",
	/* 222 */	"#222 (unimplemented getdirentriesattr)",
	/* 223 */	"#223 (unimplemented exchangedata)",
	/* 224 */	"#224 (unimplemented checkuseraccess)",
	/* 225 */	"#225 (unimplemented searchfs)",
	/* 226 */	"#226 (unimplemented delete)",
	/* 227 */	"#227 (unimplemented copyfile)",
	/* 228 */	"#228 (unimplemented)",
	/* 229 */	"#229 (unimplemented)",
	/* 230 */	"#230 (unimplemented)",
	/* 231 */	"#231 (unimplemented watchevent)",
	/* 232 */	"#232 (unimplemented waitevent)",
	/* 233 */	"#233 (unimplemented modwatch)",
	/* 234 */	"#234 (unimplemented)",
	/* 235 */	"#235 (unimplemented)",
	/* 236 */	"#236 (unimplemented)",
	/* 237 */	"#237 (unimplemented)",
	/* 238 */	"#238 (unimplemented)",
	/* 239 */	"#239 (unimplemented)",
	/* 240 */	"#240 (unimplemented)",
	/* 241 */	"#241 (unimplemented)",
	/* 242 */	"#242 (unimplemented fsctl)",
	/* 243 */	"#243 (unimplemented)",
	/* 244 */	"#244 (unimplemented)",
	/* 245 */	"#245 (unimplemented)",
	/* 246 */	"#246 (unimplemented)",
	/* 247 */	"#247 (unimplemented)",
	/* 248 */	"#248 (unimplemented)",
	/* 249 */	"#249 (unimplemented)",
	/* 250 */	"#250 (unimplemented minherit)",
	/* 251 */	"#251 (unimplemented semsys)",
	/* 252 */	"#252 (unimplemented msgsys)",
	/* 253 */	"#253 (unimplemented semop)",
	/* 254 */	"#254 (unimplemented semctl)",
	/* 255 */	"#255 (unimplemented semget)",
	/* 256 */	"#256 (unimplemented semop)",
	/* 257 */	"#257 (unimplemented semconfig)",
	/* 258 */	"#258 (unimplemented msgctl)",
	/* 259 */	"#259 (unimplemented msgget)",
	/* 260 */	"#260 (unimplemented msgsnd)",
	/* 261 */	"#261 (unimplemented msgrcv)",
	/* 262 */	"#262 (unimplemented shmat)",
	/* 263 */	"#263 (unimplemented shmctl)",
	/* 264 */	"#264 (unimplemented shmdt)",
	/* 265 */	"#265 (unimplemented shmget)",
	/* 266 */	"#266 (unimplemented shm_open)",
	/* 267 */	"#267 (unimplemented shm_unlink)",
	/* 268 */	"#268 (unimplemented sem_open)",
	/* 269 */	"#269 (unimplemented sem_close)",
	/* 270 */	"#270 (unimplemented sem_unlink)",
	/* 271 */	"#271 (unimplemented sem_wait)",
	/* 272 */	"#272 (unimplemented sem_trywait)",
	/* 273 */	"#273 (unimplemented sem_post)",
	/* 274 */	"#274 (unimplemented sem_getvalue)",
	/* 275 */	"#275 (unimplemented sem_init)",
	/* 276 */	"#276 (unimplemented sem_destroy)",
	/* 277 */	"#277 (unimplemented)",
	/* 278 */	"#278 (unimplemented)",
	/* 279 */	"#279 (unimplemented)",
	/* 280 */	"#280 (unimplemented)",
	/* 281 */	"#281 (unimplemented)",
	/* 282 */	"#282 (unimplemented)",
	/* 283 */	"#283 (unimplemented)",
	/* 284 */	"#284 (unimplemented)",
	/* 285 */	"#285 (unimplemented)",
	/* 286 */	"#286 (unimplemented)",
	/* 287 */	"#287 (unimplemented)",
	/* 288 */	"#288 (unimplemented)",
	/* 289 */	"#289 (unimplemented)",
	/* 290 */	"#290 (unimplemented)",
	/* 291 */	"#291 (unimplemented)",
	/* 292 */	"#292 (unimplemented)",
	/* 293 */	"#293 (unimplemented)",
	/* 294 */	"#294 (unimplemented)",
	/* 295 */	"#295 (unimplemented)",
	/* 296 */	"load_shared_file",
	/* 297 */	"#297 (unimplemented reset_shared_file)",
	/* 298 */	"#298 (unimplemented new_system_shared_regions)",
	/* 299 */	"#299 (unimplemented)",
	/* 300 */	"#300 (unimplemented)",
	/* 301 */	"#301 (unimplemented)",
	/* 302 */	"#302 (unimplemented)",
	/* 303 */	"#303 (unimplemented)",
	/* 304 */	"#304 (unimplemented)",
	/* 305 */	"#305 (unimplemented)",
	/* 306 */	"#306 (unimplemented)",
	/* 307 */	"#307 (unimplemented)",
	/* 308 */	"#308 (unimplemented)",
	/* 309 */	"#309 (unimplemented)",
	/* 310 */	"#310 (unimplemented getsid)",
	/* 311 */	"#311 (unimplemented)",
	/* 312 */	"#312 (unimplemented)",
	/* 313 */	"#313 (unimplemented)",
	/* 314 */	"#314 (unimplemented)",
	/* 315 */	"#315 (unimplemented)",
	/* 316 */	"#316 (unimplemented)",
	/* 317 */	"#317 (unimplemented)",
	/* 318 */	"#318 (unimplemented)",
	/* 319 */	"#319 (unimplemented)",
	/* 320 */	"#320 (unimplemented)",
	/* 321 */	"#321 (unimplemented)",
	/* 322 */	"#322 (unimplemented)",
	/* 323 */	"#323 (unimplemented)",
	/* 324 */	"#324 (unimplemented mlockall)",
	/* 325 */	"#325 (unimplemented munlockall)",
	/* 326 */	"#326 (unimplemented)",
	/* 327 */	"#327 (unimplemented issetugid)",
	/* 328 */	"#328 (unimplemented __pthread_kill)",
	/* 329 */	"#329 (unimplemented pthread_sigmask)",
	/* 330 */	"#330 (unimplemented sigwait)",
	/* 331 */	"pthread_exit",
	/* 332 */	"#332 (unimplemented)",
	/* 333 */	"#333 (unimplemented)",
	/* 334 */	"#334 (unimplemented)",
	/* 335 */	"utrace",
	/* 336 */	"#336 (unimplemented)",
	/* 337 */	"#337 (unimplemented)",
	/* 338 */	"#338 (unimplemented)",
	/* 339 */	"#339 (unimplemented)",
	/* 340 */	"#340 (unimplemented)",
	/* 341 */	"#341 (unimplemented)",
	/* 342 */	"#342 (unimplemented)",
	/* 343 */	"#343 (unimplemented)",
	/* 344 */	"#344 (unimplemented)",
	/* 345 */	"#345 (unimplemented)",
	/* 346 */	"#346 (unimplemented)",
	/* 347 */	"#347 (unimplemented)",
	/* 348 */	"#348 (unimplemented)",
	/* 349 */	"#349 (unimplemented)",
	/* 350 */	"audit",
	/* 351 */	"auditon",
	/* 352 */	"#352 (unimplemented)",
	/* 353 */	"getauid",
	/* 354 */	"setauid",
	/* 355 */	"getauditinfo",
	/* 356 */	"setauditinfo",
	/* 357 */	"getaudit_addr",
	/* 358 */	"setaudit_addr",
	/* 359 */	"auditctl",
	/* 360 */	"#360 (unimplemented)",
	/* 361 */	"#361 (unimplemented)",
	/* 362 */	"#362 (unimplemented kqueue)",
	/* 363 */	"#363 (unimplemented kevent)",
};
